Get all records with paging
GET
/openapi/bytefiles/paged
const url = 'https://open-api.replyco.com/openapi/bytefiles/paged?page=1&count=10&asc=true';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://open-api.replyco.com/openapi/bytefiles/paged?page=1&count=10&asc=true' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”page
integer format: int32
Page number, default = 1
count
integer format: int32
Amount of elements per page, default = 10
term
string
Search text in main model fields
sort
string
Name of field to sort by
asc
boolean
True if ascending sort, false if descending, default - true
Responses
Section titled “Responses”OK
Media typeapplication/json
object
totalRecords
integer format: int32
pageSize
integer format: int32
pagesCount
integer format: int32
currentPage
integer format: int32
data
Array<object>
object
id
string format: uuid
base64
Base64-encoded 180x120 cropped thumbnail of the attachment. It is not the original file
string
Example generated
{ "totalRecords": 1, "pageSize": 1, "pagesCount": 1, "currentPage": 1, "data": [ { "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "base64": "example" } ]}Unauthorized